function result = istoolboxinstalled(toolbox)
    % ISTOOLBOXINSTALLED Check if a toolbox is installed and available
    % -----
    %
    % Syntax:
    %   result = isToolboxInstalled(toolbox) returns true if the toolbox is intalled.
    %
    % Inputs:
    %   toolbox: Name of a toolbox, as displayed in `ver` command
    %
    % Outputs:
    %   result  : boolean that indicates if toolbox is installed
    %
    % See also: ver.
    %
    % <a href="https://gitlab.uliege.be/rotare/documentation">Complete documentation (online)</a>

    % ----------------------------------------------------------------------------------------------
    % (c) Copyright 2022-2024 University of Liege
    % Author: Thomas Lambert <t.lambert@uliege.be>
    % ULiege - Aeroelasticity and Experimental Aerodynamics
    % MIT License
    % Repo: https://gitlab.uliege.be/rotare/rotare
    % Docs: https://gitlab.uliege.be/rotare/documentation
    % Issues: https://gitlab.uliege.be/rotare/rotare/-/issues
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

    v = ver;
    result = any(strcmp(toolbox, {v.Name}));

end
